<?php

namespace App\Providers;

use App\View\Composers\Shop\LayoutComposer;
use Illuminate\Support\Facades\Schema;
use Illuminate\Support\Facades\View;
use Illuminate\Support\ServiceProvider;

class AppServiceProvider extends ServiceProvider
{
    public function boot()
    {
        Schema::defaultStringLength(191);
        View::composer('Shop.layout.layout', LayoutComposer::class);
    }
}
